## pianobar 1.1-1

=== debian/changelog ===
pianobar (1.1-1) fremantle; urgency=low

  * prepared package for extras-devel.

 -- FatalSaint <maemo@linuxniche.com>  Fri, 24 Jan 2010 12:45:00 -0700

pianobar (1.1-0) fremantle; urgency=low

  * fixed pianobar to work with new pandora.

 -- FatalSaint <maemo@linuxniche.com>  Fri, 22 Jan 2010 07:11:00 -0700
 

pianobar (1.0-3) fremantle; urgency=low

  * Added proper man page
  * optified package
  * Made debian package lintian clean.

 -- FatalSaint <maemo@linuxniche.com>  Thu, 21 Jan 2010 17:50:00 -0700

pianobar (1.0-2) fremantle; urgency=high

  * Moved config to /etc/config
  * modified postinst script to copy config to /home/user if no config exists
  * fixed problem with package trying to remove home directory

 -- FatalSaint <maemo@linuxniche.com>  Mon, 18 Jan 2010 22:00:00 -0700

pianobar (1.0-1) fremantle; urgency=low

  * Created initial debian package.

 -- FatalSaint <maemo@linuxniche.com>  Mon, 18 Jan 2010 20:00:00 -0700 
