## pianobar 1.1-2

=== debian/changelog ===
pianobar (1.1-2) fremantle; urgency=low

  * fixed problem in postinst script that caused user config to be owned by
    root.

 -- FatalSaint <maemo@linuxniche.com>  Fri, 24 Jan 2010 12:45:00 -0700
