## pianobar 1.1-3

=== debian/changelog ===
pianobar (1.1-3) fremantle; urgency=low

  * fixed previous version chown command for proper group.

 -- FatalSaint <maemo@linuxniche.com>  Fri, 29 Jan 2010 10:00:00 -0700
