=== libezxml/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.4)

set (PACKAGE "libezxml")
project (${PACKAGE} C)

add_subdirectory (src)
