=== libwardrobe/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.4)

set (PACKAGE "libwardrobe")
project (${PACKAGE} C)

add_subdirectory (src)
