## pianobar 1.1-4

=== debian/changelog ===
pianobar (1.1-4) fremantle; urgency=low

  * fixed another command for proper chown.

 -- FatalSaint <maemo@linuxniche.com>  Fri, 29 Jan 2010 10:00:00 -0700
