=== debian/control ===
Source: pianobar
Section: user/multimedia
Priority: extra
Maintainer: FatalSaint Alucard <maemo@linuxniche.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: pianobar
Architecture: armel
Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libmad0 (>= 0.15.1b), libao0 (>= 0.8.8)
Description: A Pandroa Client
 ========
 pianobar is a console client for the personalized web radio pandora
 (http://www.pandora.com).
 - play and manage (create, add more music, delete, rename, ...) your stations
 - rate played songs and let pandora explain why they have been selected
 - show upcoming songs
 - configure key bindings
 - last.fm scrobbling support (currently unmaintained)
 - proxy support for listeners outside the USA
XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
