## pianobar 1.2-1

=== debian/changelog ===
pianobar (1.2-1) fremantle; urgency=low

  * Updated to latest pianobar.

 -- FatalSaint <maemo@linuxniche.com>  Sat, 30 Jan 2010 10:00:00 -0700
