=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.7.2
 
 Package: pianobar
-Architecture: armel
+Architecture: i386
 Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libmad0 (>= 0.15.1b), libao0 (>= 0.8.8)
 Description: A Pandroa Client
  ========
@@ -18,4 +18,3 @@
  - configure key bindings
  - last.fm scrobbling support (currently unmaintained)
  - proxy support for listeners outside the USA
-XSBC-Bugtracker: XSBC-Bugtracker: http://bugs.maemo.org
