## pianobar 1.2-2

=== debian/changelog ===
pianobar (1.2-2) fremantle; urgency=low

  * Incremented version to get autobuilder to accept armel package.

 -- FatalSaint <maemo@linuxniche.com>  Sat, 30 Jan 2010 10:00:00 -0700
