=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.7.2
 
 Package: pianobar
-Architecture: i386
+Architecture: armel
 Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libmad0 (>= 0.15.1b), libao0 (>= 0.8.8)
 Description: A Pandroa Client
  ========
