## pianobar 1.2-3

=== debian/changelog ===
pianobar (1.2-3) fremantle; urgency=low

  * Fixed a typo in the control file description.

 -- FatalSaint <maemo@linuxniche.com>  Sat, 30 Jan 2010 10:00:00 -0700
