=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: pianobar
 Architecture: armel
 Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libmad0 (>= 0.15.1b), libao0 (>= 0.8.8)
-Description: A Pandroa Client
+Description: A Pandora Client
  ========
  pianobar is a console client for the personalized web radio pandora
  (http://www.pandora.com).
