## pianobar 1.2-4

=== debian/changelog ===
pianobar (1.2-4) fremantle; urgency=low

  * Properly submitted source to auto-builder for armel and i386.

 -- FatalSaint <maemo@linuxniche.com>  Sun, 31 Jan 2010 10:00:00 -0700
