## pianobar 1.2-5

=== debian/changelog ===
pianobar (1.2-5) fremantle; urgency=low

  * Added remove in postinst to clean up old pianobar config files.
  * Changed pianobar to build properly to /usr

 -- FatalSaint <maemo@linuxniche.com>  Tue, 09 Feb 2010 10:00:00 -0700
