## pianobar 1.2-6

=== debian/changelog ===
pianobar (1.2-6) fremantle; urgency=low

  * fixed postinst to copy from proper location.

 -- FatalSaint <maemo@linuxniche.com>  Tue, 09 Feb 2010 12:00:00 -0700
