=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: FatalSaint Alucard <maemo@linuxniche.com>
-Build-Depends: debhelper (>= 5)
+Build-Depends: debhelper (>= 5), cmake, libmad0-dev, libao0-dev, libmad0, libao0
 Standards-Version: 3.7.2
 
 Package: pianobar
-Architecture: armel
+Architecture: i386 armel
 Depends: libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libmad0 (>= 0.15.1b), libao0 (>= 0.8.8)
 Description: A Pandora Client
  ========
