## pianobar 1.2-7

=== debian/changelog ===
pianobar (1.2-7) fremantle; urgency=low

  * Added CLI image and bug tracker field.

 -- FatalSaint <maemo@linuxniche.com>  Sat, 13 Feb 2010 20:00:00 -0700
