## pianobar 2.0-0

=== debian/changelog ===
pianobar (2.0-0) fremantle; urgency=low

  * Updated pianobar API, updated pianobar to version 27ed89f, lost last.fm
    support.

 -- FatalSaint <maemo@linuxniche.com>  Mon, 19 Apr 2010 17:02:00 -0700
