## pianobar 2.0-1

=== debian/changelog ===
pianobar (2.0-1) fremantle; urgency=low

  * Simple version change to try and get the build system to work.

 -- FatalSaint <maemo@linuxniche.com>  Mon, 19 Apr 2010 17:02:00 -0700
