## pianobar 2.0-2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 set (ENABLE_FAAD 0)
 set (BIN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/bin CACHE PATH "bin path")
 set (MAN_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/share/man CACHE PATH "man path")
-set (ETC_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/etc CACHE PATH "etc path")
+
 # This removes a warning on newer versions of cmake
 if(COMMAND cmake_policy)
   cmake_policy(SET CMP0003 NEW)
@@ -59,7 +59,6 @@
 
 include_directories (
 	${pianobar_SOURCE_DIR}/libpiano/src
-	${pianobar_SOURCE_DIR}/libwardrobe/src
 	${pianobar_SOURCE_DIR}/libwaitress/src
 	${CMAKE_CURRENT_BINARY_DIR}
 	${FAAD_INCLUDE_DIRS} ${LIBAO_INCLUDE_DIRS}
@@ -67,9 +66,8 @@
 
 add_executable (pianobar main.c terminal.c settings.c player.c ui.c ui_act.c
 	ui_readline.c)
-target_link_libraries (pianobar piano wardrobe waitress ${FAAD_LIBRARIES}
+target_link_libraries (pianobar piano waitress ${FAAD_LIBRARIES}
 	${LIBAO_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${MAD_LIBRARIES} ${LIBM})
 
 install (TARGETS pianobar RUNTIME DESTINATION ${BIN_INSTALL_DIR})
 install (FILES pianobar.1 DESTINATION ${MAN_INSTALL_DIR}/man1)
-install (FILES config DESTINATION ${ETC_INSTALL_DIR}/pianobar)
