=== libpiano/src/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,6 @@
         ${CMAKE_CURRENT_BINARY_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/../../libezxml/src)
 
-add_library (piano STATIC crypt.c http.c piano.c xml.c)
+add_library (piano STATIC crypt.c piano.c xml.c)
 target_link_libraries (piano waitress ezxml)
