=== debian/changelog ===
pianobar (2.0-2) fremantle; urgency=low

  * Postinst was incorrect.  Fixed.

 -- FatalSaint <maemo@linuxniche.com>  Thu, 22 Apr 2010 17:02:00 -0700
