=== debian/changelog ===
pianobar (2.1-0) fremantle; urgency=low

  * Upgrade pianobar to version 3072c5a from upstream.

 -- FatalSaint <maemo@linuxniche.com>  Thu, 22 Apr 2010 17:02:00 -0700
