=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/multimedia
 Priority: extra
 Maintainer: FatalSaint Alucard <maemo@linuxniche.com>
-Build-Depends: debhelper (>= 5), cmake, libmad0-dev, libao0-dev, libmad0, libao0
+Build-Depends: debhelper (>= 5), cmake, libmad0-dev, libao0-dev, libmad0, libao0, libao-dev
 Standards-Version: 3.7.2
 
 Package: pianobar
@@ -14,9 +14,9 @@
  (http://www.pandora.com).
  - play and manage (create, add more music, delete, rename, ...) your stations
  - rate played songs and let pandora explain why they have been selected
- - show upcoming songs
- - configure key bindings
- - last.fm scrobbling support (currently unmaintained)
+ - show upcoming songs/song history
+ - configure keybindings
+ - last.fm scrobbling support (external application)
  - proxy support for listeners outside the USA
 XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=42104
 XB-Maemo-Icon-26:
