=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	/usr/bin/cmake .
+	/usr/bin/cmake . -DCMAKE_INSTALL_PREFIX:PATH=/usr
 	touch configure-stamp
