=== debian/changelog ===
pianobar (2010.10.07-1ubuntu0.3) maverick-proposed; urgency=low

  * Support new XMLRPC api (v31) (LP: #807860) 

 -- Luke Faraone <lfaraone@ubuntu.com>  Sat, 09 Jul 2011 10:53:27 -0400

pianobar (2010.10.07-1ubuntu0.2) maverick-proposed; urgency=low

  * Support new XMLRPC api (v30) (LP: #771804) 

 -- Luke Faraone <lfaraone@ubuntu.com>  Thu, 28 Apr 2011 18:32:01 -0400

pianobar (2010.10.07-1ubuntu0.1) maverick-proposed; urgency=low

  * Support new XMLRPC api (v29) (LP: #672258)

 -- Luke Faraone <lfaraone@ubuntu.com>  Sun, 07 Nov 2010 15:25:17 -0500

pianobar (2010.10.07-1) unstable; urgency=high

  * New upstream version. 
    - XMLRPC api version bump (v28) (closes: #599338)

 -- Luke Faraone <lfaraone@debian.org>  Thu, 07 Oct 2010 09:15:49 -0400

pianobar (2010.08.21-1) unstable; urgency=low

  * Initial upstream release.
  * Remove code to recreate the upstream tarball, we're not packaging
    snapshots.
  * Update maintainer, unset DMUA.
  * Adapt packaging for upstream switch to Make from cmake
  * Change repository location of Debian packaging.
  * Bump standards version, no changes needed.

 -- Luke Faraone <lfaraone@debian.org>  Sun, 19 Sep 2010 15:39:17 -0400

pianobar (0+git20100420.3072c5a-1) unstable; urgency=low

  * New upstream snapshot
    - Show small hint about keybinding help at startup
    - Don't stop playback when showing station list

 -- Luke Faraone <luke@faraone.cc>  Thu, 22 Apr 2010 20:07:00 -0400

pianobar (0+git20100419.27ed89f-1) unstable; urgency=low

  * New upstream snapshot
    - libao 1.0.0 compatibility
    - Removed debugging stuff from eventcmd
    - Added hint about libao configuration to manpage
    - Fix coding style
    - New eventcmd example added (ruby)
    - piano: API version bump (v27)

 -- Luke Faraone <luke@faraone.cc>  Tue, 20 Apr 2010 09:32:03 -0400

pianobar (0+git20100406.ccd1d8e-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * New upstream snapshot
    - piano: New request/response api 
    - Use new libpiano api
    - Update example eventcmd script 

 -- Luke Faraone <luke@faraone.cc>  Tue, 06 Apr 2010 21:04:59 -0400

pianobar (0+git20100316.34ff325-1) unstable; urgency=low

  * New upstream snapshot
    - Use SHRT_MAX for short int  
    - waitress: Replaced callback magic numbers 
    - Fix player race condition 
    - Removed PACKAGE from ui strings 

 -- Luke Faraone <luke@faraone.cc>  Sat, 20 Mar 2010 09:00:04 -0400

pianobar (0+git20100306.29f877b-1) unstable; urgency=low

  * Fix omission in debian/copyright. 
  * New upstream version

 -- Luke Faraone <luke@faraone.cc>  Thu, 11 Mar 2010 13:29:50 -0500

pianobar (0+git20100222.6805c07-1) unstable; urgency=low

  * Initial release (Closes: #571676)

 -- Luke Faraone <luke@faraone.cc>  Fri, 26 Feb 2010 23:00:53 -0500
