=== debian/control ===
Source: pianobar
Section: sound
Priority: optional
Maintainer: Luke Faraone <lfaraone@ubuntu.com>
Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), cmake, libao-dev, libfaad-dev, libmad0-dev, libpth-dev
Standards-Version: 3.9.1
Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/pianobar
Homepage: http://6xq.net/html/00/17.html

Package: pianobar
Architecture: any
Depends: ${shlibs:Depends},  ${misc:Depends},
Description: console based player for Pandora radio
 pianobar is a cross-platform console client for the personalized web radio 
 Pandora, supporting all important features the official Flash™ client has:
 .
    * Create, delete, rename stations and add more music
    * Rate and temporary ban tracks as well as move them to another station
    * “Shared stations”
 .
 and some that it does not have (yet):
 .
    * last.fm scrobbling
    * Proxy support for use in areas not supported by Pandora (outside the USA)
 .
 You need an account in order to use this player, so please consider
 create one for free before using pianobar at http://pandora.com.
