## pianobar 2010.11.06

=== Makefile ===
--- 
+++ 
@@ -101,6 +101,7 @@
 %.o: %.c
 	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
 			-I ${LIBEZXML_INCLUDE} ${LIBFAAD_SWITCH} ${LIBMAD_SWITCH} -c \
+			-I ${LIBAO_INCLUDE} -I ${LIBFAAD_INCLUDE} -I ${LIBMAD_INCLUDE} \
 			-o $@ $<
 
 # create position independent code (for shared libraries)
