=== debian/changelog ===
pianobar (2010.11.06-1+squeeze2) stable; urgency=low

  * XMLRPC api version bump (v31) (LP: #807860)
    - Add an empty field to a URL, no other API changes

 -- Luke Faraone <lfaraone@debian.org>  Sun, 10 Jul 2011 17:14:38 -0400

pianobar (2010.11.06-1+squeeze1) stable; urgency=low

  * XMLRPC api version bump (v30) (closes: #624326)
    - Include new API keys, no other API changes

 -- Luke Faraone <lfaraone@debian.org>  Wed, 27 Apr 2011 22:50:25 -0400

pianobar (2010.11.06-1) unstable; urgency=high

  * New upstream version. 
    - XMLRPC api version bump (v29)

 -- Luke Faraone <lfaraone@debian.org>  Sat, 06 Nov 2010 18:01:03 -0400
