=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pianobar
 Section: sound
 Priority: optional
-Maintainer: Luke Faraone <lfaraone@ubuntu.com>
+Maintainer: Luke Faraone <lfaraone@debian.org>
 Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), cmake, libao-dev, libfaad-dev, libmad0-dev, libpth-dev
 Standards-Version: 3.9.1
-Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/pianobar
+Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/pianobar-squeeze
 Homepage: http://6xq.net/html/00/17.html
 
 Package: pianobar
