=== debian/watch ===
# Vcs-Git: git://github.com/PromyLOPh/pianobar.git
version=3
http://6xq.net/html/00/17.html ../../media/00/16/pianobar-(.*)\.tar\.bz2
