## pianobar 2011.01.24

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 BINDIR:=${PREFIX}/bin
 LIBDIR:=${PREFIX}/lib
 MANDIR:=${PREFIX}/share/man
-CFLAGS:=-Wall -g -std=c99 -pedantic
+CFLAGS:=-std=c99 -O2 -DNDEBUG
 
 PIANOBAR_DIR=src
 PIANOBAR_SRC=\
@@ -26,7 +26,7 @@
 		${PIANOBAR_DIR}/config.h
 PIANOBAR_OBJ=${PIANOBAR_SRC:.c=.o}
 
-LIBPIANO_DIR=libpiano/src
+LIBPIANO_DIR=src/libpiano
 LIBPIANO_SRC=\
 		${LIBPIANO_DIR}/crypt.c \
 		${LIBPIANO_DIR}/piano.c \
@@ -43,7 +43,7 @@
 LIBPIANO_RELOBJ=${LIBPIANO_SRC:.c=.lo}
 LIBPIANO_INCLUDE=${LIBPIANO_DIR}
 
-LIBWAITRESS_DIR=libwaitress/src
+LIBWAITRESS_DIR=src/libwaitress
 LIBWAITRESS_SRC=${LIBWAITRESS_DIR}/waitress.c
 LIBWAITRESS_HDR=\
 		${LIBWAITRESS_DIR}/config.h \
@@ -52,11 +52,12 @@
 LIBWAITRESS_RELOBJ=${LIBWAITRESS_SRC:.c=.lo}
 LIBWAITRESS_INCLUDE=${LIBWAITRESS_DIR}
 
-LIBEZXML_SRC=libezxml/src/ezxml.c
-LIBEZXML_HDR=libezxml/src/ezxml.h
+LIBEZXML_DIR=src/libezxml
+LIBEZXML_SRC=${LIBEZXML_DIR}/ezxml.c
+LIBEZXML_HDR=${LIBEZXML_DIR}/ezxml.h
 LIBEZXML_OBJ=${LIBEZXML_SRC:.c=.o}
 LIBEZXML_RELOBJ=${LIBEZXML_SRC:.c=.lo}
-LIBEZXML_INCLUDE=libezxml/src
+LIBEZXML_INCLUDE=${LIBEZXML_DIR}
 
 LIBAO_INCLUDE=/usr/include
 LIBAO_LIB=-lao
@@ -64,23 +65,23 @@
 LIBM_LIB=-lm
 
 ifeq (${DISABLE_FAAD}, 1)
-	LIBFAAD_INCLUDE=
-	LIBFAAD_LIB=
-	LIBFAAD_SWITCH=
+	LIBFAAD_CFLAGS=
+	LIBFAAD_LDFLAGS=
 else
 	LIBFAAD_INCLUDE:=/usr/include
 	LIBFAAD_LIB:=-lfaad
-	LIBFAAD_SWITCH=-DENABLE_FAAD
+	LIBFAAD_CFLAGS=-I ${LIBFAAD_INCLUDE} -DENABLE_FAAD
+	LIBFAAD_LDFLAGS=${LIBFAAD_LIB}
 endif
 
 ifeq (${DISABLE_MAD}, 1)
-	LIBMAD_INCLUDE=
-	LIBMAD_LIB=
-	LIBMAD_SWITCH=
+	LIBMAD_CFLAGS=
+	LIBMAD_LDFLAGS=
 else
 	LIBMAD_INCLUDE:=/usr/include
 	LIBMAD_LIB:=-lmad
-	LIBMAD_SWITCH=-DENABLE_MAD
+	LIBMAD_CFLAGS=-I ${LIBMAD_INCLUDE} -DENABLE_MAD
+	LIBMAD_LDFLAGS=${LIBMAD_LIB}
 endif
 
 PTHREAD_LIB=-pthread
@@ -89,7 +90,7 @@
 pianobar: ${PIANOBAR_OBJ} ${PIANOBAR_HDR} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
 		${LIBWAITRESS_HDR} ${LIBEZXML_OBJ} ${LIBEZXML_HDR}
 	${CC} ${CFLAGS} ${PIANOBAR_OBJ} ${LIBPIANO_OBJ} ${LIBWAITRESS_OBJ} \
-			${LIBEZXML_OBJ} ${LIBAO_LIB} ${LIBFAAD_LIB} ${LIBMAD_LIB} \
+			${LIBEZXML_OBJ} ${LIBAO_LIB} ${LIBFAAD_LDFLAGS} ${LIBMAD_LDFLAGS} \
 			${PTHREAD_LIB} ${LIBM_LIB} -o $@
 
 # build shared libpiano
@@ -100,9 +101,8 @@
 
 %.o: %.c
 	${CC} ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
-			-I ${LIBEZXML_INCLUDE} ${LIBFAAD_SWITCH} ${LIBMAD_SWITCH} -c \
-			-I ${LIBAO_INCLUDE} -I ${LIBFAAD_INCLUDE} -I ${LIBMAD_INCLUDE} \
-			-o $@ $<
+			-I ${LIBEZXML_INCLUDE} -I ${LIBAO_INCLUDE} ${LIBFAAD_CFLAGS} \
+			${LIBMAD_CFLAGS} -c -o $@ $<
 
 # create position independent code (for shared libraries)
 %.lo: %.c
@@ -116,11 +116,14 @@
 
 all: pianobar libpiano
 
+debug: pianobar
+debug: CFLAGS=-Wall -pedantic -std=c99 -ggdb
+
 install: pianobar
 	install -d ${DESTDIR}/${BINDIR}/
 	install -m755 pianobar ${DESTDIR}/${BINDIR}/
 	install -d ${DESTDIR}/${MANDIR}/man1/
-	install -m644 src/pianobar.1 ${DESTDIR}/${MANDIR}/man1/
+	install -m644 contrib/pianobar.1 ${DESTDIR}/${MANDIR}/man1/
 
 install-libpiano: libpiano
 	install -d ${DESTDIR}/${LIBDIR}/
