=== debian/changelog ===
pianobar (2011.01.24-1) unstable; urgency=low

  * New upstream version. 
  * Switch to DEP5 copyright.
  * Augment CFLAGS to use the c99 standard.
  * Don't install the now-removed AUTHORS file into docs.
  * Drop dep on cmake.

 -- Luke Faraone <lfaraone@debian.org>  Tue, 08 Feb 2011 17:23:25 -0500
