=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: sound
 Priority: optional
 Maintainer: Luke Faraone <lfaraone@debian.org>
-Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), cmake, libao-dev, libfaad-dev, libmad0-dev, libpth-dev
+Build-Depends: cdbs (>= 0.4.49), debhelper (>= 7), libao-dev, libfaad-dev, libmad0-dev, libpth-dev
 Standards-Version: 3.9.1
-Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/pianobar-squeeze
+Vcs-Bzr: http://bzr.debian.org/bzr/collab-maint/pianobar
+Vcs-Browser: http://bzr.debian.org/loggerhead/collab-maint/pianobar
 Homepage: http://6xq.net/html/00/17.html
 
 Package: pianobar
