=== debian/changelog ===
pianobar (2011.09.22-1) unstable; urgency=high

  * New upstream version 
    - XMLRPC api version compatibility (v32) (Closes: #642378)

 -- Luke Faraone <lfaraone@debian.org>  Thu, 22 Sep 2011 10:08:38 -0400

pianobar (2011.07.09-1) unstable; urgency=high

  * New upstream version. 
    - XMLRPC api version bump (v31) (closes: #633345, LP: #807860)
  * Update debian/watch for new location.
  * Update symbols file.

 -- Luke Faraone <lfaraone@debian.org>  Sat, 09 Jul 2011 10:03:03 -0400

pianobar (2011.04.27-1) unstable; urgency=low

  [ Romain Beauxis ]
  * Added libpianobar0 and libpianobar-dev packages.
  * Added myself as uploader.

  [ Luke Faraone ]
  * New upstream version.
  * Drop protocol30.patch, integrated upstream.
  * Bump date in copyright. 

 -- Luke Faraone <lfaraone@debian.org>  Sun, 01 May 2011 12:47:19 -0400

pianobar (2011.01.24-2) unstable; urgency=high

  * Add libaudio-scrobbler-perl to Suggests so optional last.fm support works
    if enabled by the user. (closes: #615078)
  * Cherrypick XMLRPC api version bump (v30). (closes: #624326)
  * Bump standards version, no changes needed.

 -- Luke Faraone <lfaraone@debian.org>  Wed, 27 Apr 2011 14:06:40 -0400
